# Command: testsuite::test_pass

NEST HelpDesk | Command Index | NEST Quick Reference

Name:

    testsuite::test_pass - test if SLI returns exit code 0 after executing a file.

Synopsis:

    (test_pass) run ->

Description:

      This script contains no commands. It consists only of this
      documentation header. It is used to test if SLI quits with exit code
      0 after executing a file that did not cause errors.

Remarks:

      Yes, this script is really meant to contain no commands!

Author:

    Ruediger Kupper

FirstVersion:

    03-jul-2008

SeeAlso:

- testsuite::test_pass
- testsuite::test_fail
- testsuite::test_stop
- testsuite::test_goodhandler
- testsuite::test_lazyhandler
- testsuite::test_badhandler

Source:

    /opt/conda/conda-bld/nest_1524088722951/work/nest-2.14.0/testsuite/selftests/test_pass.sli

NEST HelpDesk | Command Index | NEST Quick Reference

© 2004 The NEST Initiative